"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * calc max length of strs.
 * @param strs
 * @returns {number}
 * @private
 */
function maxLength(strs) {
    return strs.map(str => str.length).reduce((p, c) => Math.max(p, c), 0);
}
exports.maxLength = maxLength;
/**
 * padding string with pad.
 * @param str
 * @param length
 * @param pad
 * @returns {string}
 * @private
 */
function pad(str, length, pad = " ") {
    if (length <= str.length) {
        return str;
    }
    if (pad === "") {
        throw new Error("pad can't to be empty string");
    }
    while (str.length < length) {
        str += pad;
    }
    return str;
}
exports.pad = pad;
/**
 * convert foo-bar to fooBar.
 * @param str
 * @returns {string}
 * @private
 */
function kebabToLowerCamelCase(str) {
    let nextCamel = false;
    return str
        .split("")
        .map(char => {
        if (char === "-") {
            nextCamel = true;
            return "";
        }
        else if (nextCamel) {
            nextCamel = false;
            return char.toUpperCase();
        }
        else {
            return char;
        }
    })
        .join("");
}
exports.kebabToLowerCamelCase = kebabToLowerCamelCase;
//# sourceMappingURL=utils.js.map